#### TO

#### Synopsis

    HELP:   Convert from a neutral FL5 element to a binary data type
    TYPE:   OBJECT
    SYNTAX: TO(ENCODE/DECODE=OFF/BASE16/BASE32/BASE64,CHRSET=NONE/SYSTEM/ASCII/UCS1/UTF8/EBCDIC/UCS2BE/UTF16BE/UCS2LE/UTF16LE/UCS4BE/UTF32BE/UCS4LE/UTF32LE/LOCAL,OFFSET=num,LENGTH=num)

#### Description

This object can be used to convert the internal data type binary (length and data) into different external data representations (hex, Base64, ...).

#### Arguments

- `NUMBER: ENCODE/DECODE=OFF/BASE16/BASE32/BASE64 - Base encoding selector [NONE]`
  - `OFF - No en/decoding (copy)`
  - `BASE16 - Base16 (hexadecimal) encoding`
  - `BASE32 - Base32 encoding`
  - `BASE64 - Base64 encoding`
- `NUMBER: CHRSET=NONE/SYSTEM/ASCII/UCS1/UTF8/EBCDIC/UCS2BE/UTF16BE/UCS2LE/UTF16LE/UCS4BE/UTF32BE/UCS4LE/UTF32LE/LOCAL - Character set for base encoding [SYSTEM]`
  - `NONE - No character set defined`
  - `SYSTEM - SYSTEM (environment specific (on mainframe EBCDIC else ASCII))`
  - `ASCII - ASCII (mainly used in the for open system)`
  - `UCS1 - UCS-1 (for text formatting identical to ASCII < 64k)`
  - `UTF8 - UTF-8 (for text formatting identical to ASCII < 2M)`
  - `EBCDIC - EBCDIC (mainly used on IBM mainframe)`
  - `UCS2BE - UCS-2 Big Endian (multibyte character set < 64k)`
  - `UTF16BE - UTF-16 Big Endian (multibyte character set < 2M)`
  - `UCS2LE - UCS-2 Little Endian (multibyte character set < 64k)`
  - `UTF16LE - UTF-16 Little Endian (multibyte character set < 2M)`
  - `UCS4BE - UCS-4 Big Endian (multibyte character set < 64k)`
  - `UTF32BE - UTF-32 Big Endian (multibyte character set < 2M)`
  - `UCS4LE - UCS-4 Little Endian (multibyte character set < 64k)`
  - `UTF32LE - UTF-32 Little Endian (multibyte character set < 2M)`
  - `LOCAL - LOCAL (platform specific (on mainframe EBCDIC else ASCII))`
- `NUMBER: OFFSET=num - Starting offset in the binary blob [0]`
- `NUMBER: LENGTH=num - Partial length starting at offset [0 = up to the end]`